CL_STATUS(1)

NAME
cl_status - Check Status of the High-Availability Linux (Linux-HA) Subsystem

SYNOPSIS
cl_status <sub-command>[<options>] [<parameters>]

DESCRIPTION
cl_status is used to check the status of the High-Availability Linux Subsystem

SUB-COMMANDS

hbstatus
    Indicate if heartbeat is running on the local system.

listnodes
    List the nodes in the cluster

nodetype TYPE
    List the nodes of the given type. Currently the available types are ping and normal.

listhblinks NODENAME
    List the network interfaces used as heartbeat links. Nodename should be as per the ha.cf file for the cluster.

hblinkstatus NODENAME LINKNAME
    Show the status of a heartbeat link. Nodename should be as per the ha.cf file for the cluster. Linkname should be as per the output of the listhblinks subcomand.

clientstatus NODENAME CLIENTID [TIMEOUT]
    Show the status of heartbeat clients. Nodename and Client-ID should be as per the ha.cf file for the cluster. Timeout is in milliseconds, the default is 100ms.

rscstatus
    Show the status of cluster resources. Status will be one of: local, foreign, all or none.

hbparameter -p PARAMETERNAME
    Retrieve the value of cluster parameters. The parameters may be one of the following, however some parameters which have not been specified may not retrieved:
    apiauth, auto_failback, baud, debug, debugfile, deadping, deadtime, hbversion, hopfudge, initdead, keepalive, logfacility, logfile, msgfmt, nice_failback, node, normalpoll, stonith, udpport, warntime, watchdog

OPTIONS

-m  Make the output more human readable. The default output should be easier for scripts to parse. Available with all commands.

-p  List only 'ping' nodes. Available with hbstatus sub-command.

-n  List only 'normal' nodes. Available with hbstatus sub-command.

SEE ALSO
heartbeat(8)

DOCUMENTATION
More information may be found at http://www.linux-ha.org/ (http://www.linux-ha.org/)

AUTHORS
cl_status - Sun Jiang Dong <sunjd@cn.ibm.com>
mailto:sunjd@cn.ibm.com linux-ha - Alan Robertson <alanr@unix.sh> (mailto:alanr@unix.sh) et al.
man page - Horms <horms@verge.net.au> (mailto:horms@verge.net.au)